package com.philisense.www.license;

import com.philisense.www.utils.*;

public class NoLicenseInstalledException extends Exception
{
    private static final long serialVersionUID = 1L;
    private static final String EXC_NO_LICENSE_INSTALLED;
    
    public NoLicenseInstalledException(final String s) {
        super(s);
    }
    
    @Override
    public String getLocalizedMessage() {
        return Resources.getString(NoLicenseInstalledException.EXC_NO_LICENSE_INSTALLED, super.getMessage());
    }
    
    static {
        EXC_NO_LICENSE_INSTALLED = new ObfuscatedString(new long[] { 5636850220590995934L, -798521115123526970L, 3054112192777193179L, 881750348384376277L }).toString();
    }
}
